Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
RagTime5Chart Class Reference

the main class to read the chart part of RagTime 56 file More...

`#include <RagTime5Chart.hxx>`

## Public Member Functions
| RagTime5Chart (RagTime5Parser &parser)
| constructor More...
virtual | ~RagTime5Chart ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
std::shared_ptr< RagTime5ClusterManager::Cluster > | readChartCluster (RagTime5Zone &zone, int zoneType)
| try to read a chart cluster More...

## Protected Attributes
RagTime5Parser & | m_mainParser
| the parser More...
std::shared_ptr< RagTime5StructManager > | m_structManager
| the structure manager More...
std::shared_ptr< RagTime5StyleManager > | m_styleManager
| the style manager More...
MWAWParserStatePtr | m_parserState
| the parser state More...
std::shared_ptr< RagTime5ChartInternal::State > | m_state
| the state More...

## Private Member Functions
| RagTime5Chart (RagTime5Chart const &orig)=delete
RagTime5Chart & | operator= (RagTime5Chart const &orig)=delete

## Friends
class | RagTime5ChartInternal::SubDocument
class | RagTime5Parser

## Detailed Description

the main class to read the chart part of RagTime 56 file

## Constructor & Destructor Documentation

## ◆ RagTime5Chart() [1/2]

RagTime5Chart::RagTime5Chart | ( | RagTime5Parser & | parser | ) |
| explicit

constructor

## ◆ ~RagTime5Chart()

RagTime5Chart::~RagTime5Chart | ( |  | ) |
| virtual

destructor

## ◆ RagTime5Chart() [2/2]

RagTime5Chart::RagTime5Chart | ( | RagTime5Chart const & | orig | ) |
| private delete

## Member Function Documentation

## ◆ flushExtra()

void RagTime5Chart::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

## ◆ numPages()

int RagTime5Chart::numPages | ( |  | ) | const

returns the number of pages

## ◆ operator=()

RagTime5Chart& RagTime5Chart::operator= | ( | RagTime5Chart const & | orig | ) |
| private delete

## ◆ readChartCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5Chart::readChartCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType
| ) |  |
| protected

try to read a chart cluster

## ◆ version()

int RagTime5Chart::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

## ◆ RagTime5ChartInternal::SubDocument

friend class RagTime5ChartInternal::SubDocument
| friend

## ◆ RagTime5Parser

friend class RagTime5Parser
| friend

## Member Data Documentation

## ◆ m_mainParser

RagTime5Parser& RagTime5Chart::m_mainParser
| protected

the parser

Referenced by readChartCluster().

## ◆ m_parserState

MWAWParserStatePtr RagTime5Chart::m_parserState
| protected

the parser state

Referenced by version().

## ◆ m_state

std::shared_ptr<RagTime5ChartInternal::State> RagTime5Chart::m_state
| protected

the state

## ◆ m_structManager

std::shared_ptr<RagTime5StructManager> RagTime5Chart::m_structManager
| protected

the structure manager

## ◆ m_styleManager

std::shared_ptr<RagTime5StyleManager> RagTime5Chart::m_styleManager
| protected

the style manager

The documentation for this class was generated from the following files:

- RagTime5Chart.hxx
- RagTime5Chart.cxx